Package com.independentsoft.msg

# Enum Class FlagIcon

java.lang.Object
java.lang.Enum<FlagIcon>
com.independentsoft.msg.FlagIcon

All Implemented Interfaces:
  `Serializable`, `Comparable<FlagIcon>`, `Constable`

public enum FlagIcon extends Enum<FlagIcon>
Represents flag color.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUE`
  Blue color.
  `GREEN`
  Green color.
  `NONE`
  None.
  `ORANGE`
  Orange color.
  `PURPLE`
  Purple color.
  `RED`
  Red color.
  `YELLOW`
  Yellow color.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FlagIcon`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FlagIcon[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PURPLE

    public static final FlagIcon PURPLE
    Purple color. Value is 1.

  - ### ORANGE

    public static final FlagIcon ORANGE
    Orange color. Value is 2.

  - ### GREEN

    public static final FlagIcon GREEN
    Green color. Value is 3.

  - ### YELLOW

    public static final FlagIcon YELLOW
    Yellow color. Value is 4.

  - ### BLUE

    public static final FlagIcon BLUE
    Blue color. Value is 5.

  - ### RED

    public static final FlagIcon RED
    Red color. Value is 6.

  - ### NONE

    public static final FlagIcon NONE
    None. Value is 0.

- ## Method Details

  - ### values

    public static FlagIcon[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FlagIcon valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null